List calls-to-action
curl --request GET \
--url https://ai.wisepilot.app/api/v1/content/ctas \
--header 'Authorization: Bearer <token>'import requests
url = "https://ai.wisepilot.app/api/v1/content/ctas"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://ai.wisepilot.app/api/v1/content/ctas', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": {
"ctas": [
{
"id": "<string>",
"parentAssetId": "<string>",
"parentAssetTitle": "<string>",
"position": "<string>",
"headline": "<string>",
"subheadline": "<string>",
"buttonText": "<string>",
"subtext": "<string>",
"destinationUrl": "<string>",
"status": "<string>",
"clickRate": 123,
"conversionRate": 123,
"useCount": 123
}
],
"total": 123,
"limit": 123,
"offset": 123
}
}{
"success": false,
"error": "Invalid API key",
"code": "INVALID_API_KEY"
}Content
List calls-to-action
Browse CTAs with click and conversion rates.
GET
/
content
/
ctas
List calls-to-action
Authorizations
API key prefixed with cr_ (e.g. cr_a1b2c3...)
Query Parameters
Website ID. Auto-resolved if key has single website scope.
Filter by position
Available options:
abtf, exit, footer, sidebar Filter by status
Filter by parent asset ID
Max results (default 50, max 200)
Required range:
x <= 200Pagination offset
Required range:
x >= 0⌘I